> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.trevex.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.trevex.io/_mcp/server.

# List sub-industries

GET https://api.trevex.io/apis/email/industry_hierarchy/

Returns all available sub-industry values. Use the returned `value` fields
in the `sub_industries` array when submitting a KYB request.


Reference: https://docs.trevex.io/api-reference/lookup/industry-hierarchy

## Authentication

- `Authorization` header (required) — Pass your API key as `Api-Key <your_api_key>` in the `Authorization` header. API keys are issued per Project by the TREVEX team.

## Servers

- `https://api.trevex.io` (Production, default)
- `https://testapi.trevex.io` (Staging)

## Response

### 200

Hierarchy retrieved.

- `statusCode` (integer, optional)
- `sub_industries` (list of SubIndustry, optional)

## Types

### SubIndustry

- `label` (string, optional)
- `value` (string, optional)

## Examples

**Response**

```json
{
  "statusCode": 200,
  "sub_industries": [
    {
      "label": "Cloud Computing",
      "value": "si3"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.trevex.io/apis/email/industry_hierarchy/"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.trevex.io/apis/email/industry_hierarchy/';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.trevex.io/apis/email/industry_hierarchy/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.trevex.io/apis/email/industry_hierarchy/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.trevex.io/apis/email/industry_hierarchy/")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.trevex.io/apis/email/industry_hierarchy/', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.trevex.io/apis/email/industry_hierarchy/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.trevex.io/apis/email/industry_hierarchy/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```